%define base_name	lablgl
%define name		ocaml-%{base_name}
%define version		1.02
%define release		%mkrel 15

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    LablGL is an OpenGL interface for Objective Caml
License:    BSD
Group:      System/Libraries
URL:        http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
Source:     http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgl-%{version}.tar.bz2
Patch:      %{name}-1.02-tk8.5.patch
BuildRequires:  ocaml
BuildRequires:  camlp4
BuildRequires:  ocaml-labltk
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  X11-devel
BuildRequires:  Mesa-common-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%package devel
Summary:    LablGL is an OpenGL interface for Objective Caml
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}

%description
LablGL is is an Objective Caml interface to OpenGL. Support is included for use
inside LablTk, and LablGTK also includes specific support for LablGL.

It can be used either with proprietary OpenGL implementations (SGI, Digital
Unix, Solaris...), with XFree86 GLX extension, or with open-source Mesa.

%description -n %{name}-devel
LablGL is is an Objective Caml interface to OpenGL. Support is included for use
inside LablTk, and LablGTK also includes specific support for LablGL.

It can be used either with proprietary OpenGL implementations (SGI, Digital
Unix, Solaris...), with XFree86 GLX extension, or with open-source Mesa.

%prep
%setup -q -n lablgl-%version
%patch0 -p 1

%build
cat > Makefile.config << EOF
CAMLC = ocamlc.opt
CAMLOPT = ocamlopt.opt
BINDIR = %{_bindir}
XINCLUDES = -I%{_includedir}
XLIBS = -L%{_libdir} -lXext -lXmu -lX11 -lXi
TKINCLUDES = -I%{_includedir}
GLLIBS = -lGL -lGLU
GLUTLIBS = -lglut
GLINCLUDES =
RANLIB = ranlib
COPTS = $RPM_OPT_FLAGS
EOF

make all opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{ocaml_sitelib}/stublibs
make \
   BINDIR=%{buildroot}/%{_bindir}\
   INSTALLDIR=%{buildroot}/%{ocaml_sitelib}/lablgl\
   DLLDIR=%{buildroot}/%{ocaml_sitelib}/stublibs\
   install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT CHANGES README
%dir %{ocaml_sitelib}/lablgl
%{ocaml_sitelib}/lablgl/*.cmi
%{ocaml_sitelib}/stublibs/*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{ocaml_sitelib}/lablgl/*
%exclude %{ocaml_sitelib}/lablgl/*.cmi


%changelog
* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-15mdv2008.0
+ Revision: 78223
- use lowercase installation directory

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-14mdv2008.0
+ Revision: 77696
- fix build with tk8.5
  ocaml policy compliance

  + Pixel <pixel@mandriva.com>
    - rebuild for ocaml 3.10.0


* Thu Jan 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-12mdv2007.0
+ Revision: 113167
- rebuild for new ocaml
- Import ocaml-lablgl

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-11mdv2007.0
- spec cleanup
- %%mkrel

* Thu Apr 27 2006 Pixel <pixel@mandriva.com> 1.02-10mdk
- rebuild for new ocaml

* Tue Jan 31 2006 Pixel <pixel@mandriva.com> 1.02-9mdk
- add BuildRequires tk-devel, tcl-devel

* Mon Jan 30 2006 Pixel <pixel@mandriva.com> 1.02-8mdk
- add BuildRequires Mesa-common-devel

* Fri Jan 27 2006 Pixel <pixel@mandriva.com> 1.02-7mdk
- add BuildRequires X11-devel

* Thu Jan 26 2006 Pixel <pixel@mandriva.com> 1.02-6mdk
- add BuildRequires camlp4

* Thu Jan 26 2006 Pixel <pixel@mandriva.com> 1.02-5mdk
- simplify BuildRequires (don't build require a file)
- only the stublibs are non-devel stuff (common mistake done in most our packages)

* Thu Jan 19 2006 Guillaume Bedot <littletux@mandriva.org> 1.02-4mdk
- Builds on x86_64

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 1.02-3mdk
- really exclude devel files from ocaml-lablgl package

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 1.02-2mdk
- fixed group
- source in devel package

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 1.02-1mdk
- new release
- use bz2

* Fri Nov 04 2005 Pixel <pixel@mandriva.com> 1.01-2mdk
- rebuild for new ocaml

* Tue Nov 01 2005 Frederic Lepied <flepied@mandriva.com> 1.01-1mdk
- initial Mandriva Linux package

* Thu Jan 27 2005 Aleksey Nogin <rpm@nogin.org>
- Updated to 1.01
- Various minor spec file improvements.

